package com.ghy.order.service.impl;

import java.util.List;
import com.ghy.common.utils.DateUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ghy.order.mapper.AfterServiceImgsMapper;
import com.ghy.order.domain.AfterServiceImgs;
import com.ghy.order.service.IAfterServiceImgsService;
import com.ghy.common.core.text.Convert;

/**
 * 售后记录图片Service业务层处理
 *
 * @author clunt
 * @date 2022-09-25
 */
@Service
public class AfterServiceImgsServiceImpl implements IAfterServiceImgsService
{
    @Autowired
    private AfterServiceImgsMapper afterServiceImgsMapper;

    /**
     * 查询售后记录图片
     *
     * @param id 售后记录图片主键
     * @return 售后记录图片
     */
    @Override
    public AfterServiceImgs selectAfterServiceImgsById(String id)
    {
        return afterServiceImgsMapper.selectAfterServiceImgsById(id);
    }

    /**
     * 查询售后记录图片列表
     *
     * @param afterServiceImgs 售后记录图片
     * @return 售后记录图片
     */
    @Override
    public List<AfterServiceImgs> selectAfterServiceImgsList(AfterServiceImgs afterServiceImgs)
    {
        return afterServiceImgsMapper.selectAfterServiceImgsList(afterServiceImgs);
    }

    /**
     * 新增售后记录图片
     *
     * @param afterServiceImgs 售后记录图片
     * @return 结果
     */
    @Override
    public int insertAfterServiceImgs(AfterServiceImgs afterServiceImgs)
    {
        afterServiceImgs.setCreateTime(DateUtils.getNowDate());
        return afterServiceImgsMapper.insertAfterServiceImgs(afterServiceImgs);
    }

    /**
     * 修改售后记录图片
     *
     * @param afterServiceImgs 售后记录图片
     * @return 结果
     */
    @Override
    public int updateAfterServiceImgs(AfterServiceImgs afterServiceImgs)
    {
        afterServiceImgs.setUpdateTime(DateUtils.getNowDate());
        return afterServiceImgsMapper.updateAfterServiceImgs(afterServiceImgs);
    }

    /**
     * 批量删除售后记录图片
     *
     * @param ids 需要删除的售后记录图片主键
     * @return 结果
     */
    @Override
    public int deleteAfterServiceImgsByIds(String ids)
    {
        return afterServiceImgsMapper.deleteAfterServiceImgsByIds(Convert.toStrArray(ids));
    }

    /**
     * 删除售后记录图片信息
     *
     * @param id 售后记录图片主键
     * @return 结果
     */
    @Override
    public int deleteAfterServiceImgsById(String id)
    {
        return afterServiceImgsMapper.deleteAfterServiceImgsById(id);
    }
}
